Jump to >
Review Board 1.7.6 released

And tonight we have another release! One that is sure to please you Perforce administrators out there.

Review Board 1.7.6 has a number of bug fixes, some API additions, and a couple new features. One of those features is Perforce ticket-based auth support. It should now be dead-simple to get ticket-based auth working for all your repositories. Just check a box in the repository configuration, and you're good.

We've also bumped the minimum version of Django to 1.4.5, which is the latest security release in the 1.4.x series.

See the full release notes for all the changes.

Review Board 1.6.16 released

Django just released a couple of new security updates, and we wanted to get them into your hands as fast as possible.

We've released Review Board 1.6.16. This uses the new Django 1.3.7 as the minimum required version. We have also backported several bug fixes from the Review Board 1.7 releases, which should particularly help with those of you who have had any crashes in the diff viewer. Well worth upgrading to.

See the release notes for the full list of changes.

Review Board 1.7.5 released

Review Board 1.7.5 is out. It fixes a few, mostly small problems people have hit, and a major compatibility change with the newly released django-pipeline 1.3.

If you installed 1.7.4 in the past week, you may have had a crash when accessing most pages, possibly saying "CompilerError." This was due to some compatibility changes in django-pipeline 1.3 that we still need to investigate. However, that release also dropped Python 2.5 support, which means we'll be requiring 1.2.24 from here on out. My apologies to any packagers that this affects.

See the release notes for the full list of changes.